stages:
- validate

bridgecrew:
    image:
        name: bridgecrew/bridgecrew:latest
        entrypoint:
            - '/usr/bin/env'
            - 'PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin'
    stage: validate
    script:
        - bridgecrew -d . --bc-api-key $BC_API_KEY --repo-id $CI_PROJECT_NAMESPACE/$CI_PROJECT_NAME --branch $CI_COMMIT_REF_NAME -s
        - bridgecrew -d . -o junitxml > bridgecrew.xml
    artifacts:
        paths:
            - bridgecrew.xml
        reports:
            junit: bridgecrew.xml
